:root {
  --bg-dark: #101010;
  /* --bg-dark: #212529; */

  --blur-bg: rgba(0, 0, 0, 0.15);

  --delay: 0.1s;
  --duration: 0.2s;
  --transit: ease-in-out;

  --nav-lg: 1100px;
  --nav-sm: 100%;
}

/* Hide scrollbar but keep scrolling */
html,
body {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* old IE/Edge */
}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.no-scroll {
  overflow: hidden;
}

/* if the overlay is full-screen */


html,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.blur-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  backdrop-filter: blur(10px);
  background: rgba(0, 0, 0, 0.2);
  z-index: 8;
  opacity: 0;
  visibility: hidden;
  transition-property: opacity, visibility;
  transition-duration: var(--duration);
  transition-timing-function: var(--transit);
  transition-delay: var(--delay);
}

.blur-overlay.active {
  opacity: 1;
  visibility: visible;
  transition-property: opacity;
  transition-duration: var(--duration);
  transition-timing-function: var(--transit);
  transition-delay: var(--delay);
}

.nav-container {
  width: 100%;
  top: 0;
  position: fixed;
  display: flex;
  background-color: var(--bg-dark);
  flex-direction: column;
  align-items: center;
  color: rgb(240, 240, 240);
  z-index: 999;
}

.nav-menu-bar {
  width: var(--nav-sm);
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: rgb(240, 240, 240);
}

.nav-sub-menu {
  width: var(--nav-sm);
  display: flex;
  flex-direction: column;
  /* align-items: end; */
}

.desktop-links {
  display: flex;
  justify-content: end;
  gap: 0.5rem;
}

.mob-sub-menu {
  max-height: 100vh;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.sub-menu {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: start;
  gap: 0.5rem;
  padding-bottom: 6rem;
  padding-right: 1rem;
  /* padding-right: 4.75rem; */
  padding-top: 1.8rem;
  max-height: calc(100vh - 120px); /* adjust for header height */
  overflow-y: auto;
}

.sub-menu div {
  font-size: 1.65rem;
  color: white;
}

.sub-menu div:hover {
  color: rgb(195, 195, 195);
}

/* Bootstrap MODs */
input.form-control::placeholder {
  color: rgb(99, 101, 107);
  font-weight: 200;
  opacity: 1;
}

/* Image User Icon */
.avatar {
  width: 20px;
  height: 20px;
  padding: 1px;
  border-radius: 50%;
  border: 1px solid white;
  overflow: hidden;
  display: inline-block;
}

.avatar img {
  object-fit: cover;
  object-position: center;
  display: block;
}

/* Mobile Logo and Back*/

.nav-back {
  all: unset;
  cursor: pointer;
  width: 35px;
  height: 35px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  display: block;

  width: 1.5rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/icons/chevron-left.svg");
  cursor: pointer;
}

.re {
  all: unset;
  cursor: pointer;
  width: 35px;
  height: 35px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  display: block;
  /* prevents inline spacing issues */
}

.re-list-plus {
  width: 1.25rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/icons/list-read.svg");
}

.re-list {
  width: 1.25rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/icons/list.svg");
}

.re-x {
  width: 1.25rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/icons/x-lg.svg");
}

.re-chevron-back {
  width: 1.25rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/icons/chevron-left.svg");
}

.nav-logo {
  width: 6.2rem;
  cursor: pointer;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  display: block;

  height: 2.25rem;
  transition: opacity 0.3s ease;
  background-image: url("../images/unison.png");
  cursor: pointer;
}

.fade-in {
  opacity: 0;
  animation: fadeIn 0.25s ease-out forwards;
  pointer-events: auto;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.fade-out {
  opacity: 0;
  animation: fadeOut 0.25s ease-out forwards;
  pointer-events: none;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

.slide-in {
  animation: slideInRight 400ms ease-out forwards;
}

@keyframes slideInRight {
  from {
    transform: translateX(5%);
  }

  to {
    transform: translateX(0);
  }
}

.mob-nav-bar {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.desktop-links {
  display: none;
  flex-direction: row;
  gap: 1.75rem;
  align-items: center;
  font: 2rem;
}

.desktop-links a {
  all: unset;
  font-size: 1.15rem;
  font-weight: 300;
}

.ham-button {
  display: block;
}



.spacer {
  height: 65px;
  /* Adds space behind navigation */
}

.fill-height {
  min-height: 100dvh;
}

.z-999 {
  z-index: 999;
}

.pb-10 {
  padding-bottom: 6rem;
}

.gray-text {
  color: rgb(162, 162, 162);
}

/* Events */
.pointer {
  cursor: pointer;
}

.footer-light {
  width: 100%;
  background-color: #f8f9fa;
  color: #000000;
  text-align: center;
  padding: 1.25rem;
  margin-top: 2rem;
}

.footer-dark {
  width: 100%;
  color: #e3e4e6;
  text-align: center;
  padding: 1.25rem;
  margin-top: 2rem;
}

@media (min-width: 800px) {
  .ham-button {
    display: none;
  }

  .desktop-links {
    display: flex;
  }
}

@media (min-width: 1100px) {
  .nav-menu-bar {
    width: var(--nav-lg);
  }

  .nav-sub-menu {
    width: var(--nav-lg);
  }
}
